{ config, pkgs, ... }:

{
  imports =
    [ # Include the results of the hardware scan.
      ./hardware-configuration.nix
      ./dns.nix
    ];

 # Use the systemd-boot EFI boot loader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "dns"; # Define your hostname.

  networking.useDHCP = false;
  networking.interfaces = {
      ens18 = {
        ipv4.addresses = [{
          address = "10.42.10.8";
          prefixLength = 24;
        }];
        ipv6.addresses = [{
          address = "2a01:4f8:1c0c:8221::8";
          prefixLength = 64;
        }];
      };
  };
  networking.defaultGateway = { address = "10.42.10.1"; interface = "ens18"; };
  networking.defaultGateway6 = {
    address = "2a01:4f8:1c0c:8221::1";
    interface = "ens18";
  };

  system.stateVersion = "21.11"; # Did you read the comment?

}