{ config, pkgs, ...}:

{
  networking.vlans."net-programmtre" = {
    id = 211;
    interface = "ens18";
  };

  networking.interfaces.net-programmtre.ipv6.addresses = [
    { address = "fe80::1"; prefixLength = 64; }
    { address = "fd00:10:42:211::1"; prefixLength = 64; }
  ];
  networking.interfaces.net-programmtre.ipv4.addresses = [
    { address = "10.42.211.1"; prefixLength = 24; }
  ];

  services.radvd.config = ''
    interface net-programmtre {
      AdvSendAdvert on;
      prefix ::/64 {};
      RDNSS 2a01:4f8:1c0c:8221::8 {};
      DNSSL bula22.de {};
    };
  '';

  services.kea.dhcp4 = {
    settings = {
      interfaces-config = {
        interfaces = [ "net-programmtre" ];
      };
      subnet4 = [
        {
          id = 211;
          subnet = "10.42.211.1/24";
          pools = [
            {
              pool = "10.42.211.100 - 10.42.211.240";
            }
          ];
          option-data = [
            {
              name = "routers";
              data = "10.42.211.1";
            }
          ];
        }
      ];
    };
  };

  clerie.forward-filter.interfaces.net-programmtre.rules = [
    { incomingInterface = "net-ikt"; }
  ];

  clerie.uplink-selector.interfaces.net-programmtre.uplink = "uplink-b";
}
