{ config, pkgs, ... }:

{
  networking.interfaces.net-ikt.useDHCP = true;
  networking.interfaces.net-technik.useDHCP = true;
  networking.interfaces.net-hospital.useDHCP = true;
  networking.interfaces.net-zoll.useDHCP = true;
  networking.interfaces.net-leitstelle.useDHCP = true;
  networking.interfaces.net-verwaltung.useDHCP = true;
  networking.interfaces.net-yolo.useDHCP = true;
  networking.interfaces.net-infojurte.useDHCP = true;
  networking.interfaces.net-internation.useDHCP = true;
  networking.interfaces.net-programmtre.useDHCP = true;
  networking.interfaces.net-open-office.useDHCP = true;

  networking.dhcpcd = {
    enable = true;
    allowInterfaces = [
      "net-*"
      "ppp-*"
    ];
    wait = "ipv6";
    extraConfig = ''
      ipv6only
      noipv6rs
      interface ppp-uplink-a
        ipv6rs
        ia_pd 1/::/56 net-hospital/203/64 net-zoll/204/64 net-leitstelle/205/64 net-verwaltung/206/64
      interface ppp-uplink-b
        ipv6rs
        ia_pd 1/::/56 net-technik-iot/151/64 net-technik-iot/152/64 net-ikt/201/64 net-technik/202/64 net-yolo/208/64 net-infojurte/209/64 net-internation/210/64 net-programmtre/211/64 net-open-office/212/64
    '';
  };
}
