{ stdenv, fetchFromGitHub, pkg-config, opal, ptlib }:

let
  pname = "t38modem";
  version = "4.6.0";
  hash = "sha256-631xF1Q9Nd0sMBEHtqgqn1SEUEZweneqLJMNVEO2DJo=";

in stdenv.mkDerivation {
  inherit pname version;
  src = fetchFromGitHub {
    owner = "T38modem";
    repo = pname;
    rev = "v${version}";
    inherit hash;
  };

  buildInputs = [ pkg-config ];

  nativeBuildInputs = [ ptlib opal ];

  buildFlags = [
    "PTLIBDIR=${ptlib}/share/ptlib"
    "USE_OPAL=1"
    "OPALDIR=${opal}/share/opal"
  ];

  installPhase = ''
    mkdir -p $out/bin
    cp t38modem $out/bin
  '';

  NIX_CFLAGS_COMPILE = [ "-Wno-narrowing" ];
}
